2018-06-21 15:19 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001799FSSCP---------public2008-10-16 00:30
Reporterchief1983 
Assigned Tophreak 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001799: Recent debug builds (at least) crash on Mystery of the Trinity
DescriptionOk, I'm not sure what exactly the behavior is supposed to be, because it's been so long, but here's what I do know:

After Kappa wing is stated as unresponsive, you can still target them. In fact, you can target any friendly in the mission I believe. I thought they were supposed to go out of radar range, regardless of your range settings. I could see them over 3 clicks away on radar. I was under the impression that they were supposed to go out of radar range and then be removed from the mission, although I'm not sure at what point each of those should happen, so I'm not sure where the bug is here. The real bug comes after destroying the first wing of shivans. The game crashes with an Int3 thrown while cleaning up Kappa 3. I've attached the log from build 4865.
Additional InformationI could have sworn there were bugs related to this before but I cannot find them, even with searches as vague as Mystery, Trinity, or Kappa. This was with retail data, and mediavps, on 2 different recent debug builds. I believe the code will not throw an Int3 on a regular build, from what I could tell.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009999

phreak (developer)

Fixed, some debugging code was not checking to see if a ship vanished (as opposed to destroyed/departed)

~0010000

chief1983 (administrator)

I suppose that solves the crash problem, but is the rest of the behavior I described what's supposed to happen? Should you still be able to target all those friendlies, including Kappa after they've stopped responding?
+Notes

-Issue History
Date Modified Username Field Change
2008-10-15 01:50 chief1983 New Issue
2008-10-15 01:51 chief1983 File Added: fs2_open.log
2008-10-15 05:52 karajorma Status new => assigned
2008-10-15 05:52 karajorma Assigned To => karajorma
2008-10-16 00:08 phreak Assigned To karajorma => phreak
2008-10-16 00:09 phreak Status assigned => resolved
2008-10-16 00:09 phreak Resolution open => fixed
2008-10-16 00:09 phreak Note Added: 0009999
2008-10-16 00:30 chief1983 Note Added: 0010000
+Issue History